KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFileItemList Class Reference

`from PyKDE4.kio import *`

## Detailed Description

List of KFileItems, which adds a few helper methods to QList<KFileItem>.

## Methods
| __init__ (self)
| __init__ (self, [KFileItem] items)
| __delitem__ (self, int a0)
| __delitem__ (self, SIP_PYSLICE a0)
int | __len__ (self)
| __setitem__ (self, int a0, KFileItem a1)
| __setitem__ (self, SIP_PYSLICE a0, KFileItemList a1)
KFileItem | findByName (self, QString fileName)
KFileItem | findByUrl (self, KUrl url)
KFileItem | operator [] (self, int a0)
KFileItemList | operator [] (self, SIP_PYSLICE a0)
KUrl.List | targetUrlList (self)
KUrl.List | urlList (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | [KFileItem] | items
| ) |  |  |

__delitem__ | ( | self, |
|  | int | a0
| ) |  |  |

__delitem__ | ( | self, |
|  | SIP_PYSLICE | a0
| ) |  |  |

int __len__ | ( |  | self ) |

__setitem__ | ( | self, |
|  | int | a0,
|  | KFileItem | a1
| ) |  |  |

__setitem__ | ( | self, |
|  | SIP_PYSLICE | a0,
|  | KFileItemList | a1
| ) |  |  |

KFileItem findByName | ( | self, |
|  | QString | fileName
| ) |  |  |

Find a KFileItem by name and return it.

Returns:
  the item with the given name, or a null-item if none was found (see KFileItem.isNull())

KFileItem findByUrl | ( | self, |
|  | KUrl | url
| ) |  |  |

Find a KFileItem by URL and return it.

Returns:
  the item with the given URL, or a null-item if none was found (see KFileItem.isNull())

KFileItem operator [] | ( | self, |
|  | int | a0
| ) |  |  |

KFileItemList operator [] | ( | self, |
|  | SIP_PYSLICE | a0
| ) |  |  |

KUrl.List targetUrlList | ( |  | self ) |

KUrl.List urlList | ( |  | self ) |